std::filesystem::directory_entry::operator=(3)

NAME
std::filesystem::directory_entry::operator= - std::filesystem::directory_entry::operator=

Synopsis
   directory_entry& operator=( const directory_entry& other ) = (1) (since C++17)
   default;
   directory_entry& operator=( directory_entry&& other ) noexcept = (2) (since C++17)
   default;
   Replaces the contents of the directory entry (path and cached attributes, if any)
   with the contents of other.
   Both copy- and move-assignment operators for directory_entry are defaulted.

Parameters
   other - other directory_entry

Return value
   *this

Example
    This section is incomplete
    Reason: no example

See also
   assign assigns contents
          (public member function)